Bug 1900428 - LibreOffice 7.0.3.1 crashed on invalid row index used in StarBasic macro
Summary: LibreOffice 7.0.3.1 crashed on invalid row index used in StarBasic macro
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 33
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-22 23:54 UTC by nukool@gmail.com
Modified: 2020-12-21 07:13 UTC (History)
4 users (show)

Fixed In Version: libreoffice-7.0.3.1-3.fc33 libreoffice-7.0.4.1-1.fc34 libreoffice-7.0.4.1-1.eln107 libreoffice-7.0.4.2-2.eln108
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-04 23:25:08 UTC
Type: Bug


Attachments (Terms of Use)
LibreOffice Calc file (59.91 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-11-22 23:54 UTC, nukool@gmail.com
no flags Details
LibreOffice Base file (58.69 KB, application/vnd.oasis.opendocument.database)
2020-11-22 23:55 UTC, nukool@gmail.com
no flags Details

Description nukool@gmail.com 2020-11-22 23:54:29 UTC
Created attachment 1732226 [details]
LibreOffice Calc file

Description of problem:This attached Calc file crashed in Fedora fresh repository 7.0.3.1 but did not crash in LibreOffice installed with RPM package.


Version-Release number of selected component (if applicable):7.0.3.1


How reproducible:Every time


Steps to Reproduce:
1.
1.1 Create folder "Documents/LibreOfficeCrash/7301Crash01"
1.2 Download 2 attached files, namely "Crash7301_005.ods" and "7301.odb", to such folder
1.3 Open LibreOffice Calc file, namely "Crash7301_005.ods"
2.
2.1 In menu bar, click menu item "[Test Calc BASIC]" and select submenu "FillUpTable"
2.2 Or run BASIC Macro, namely "FillUpTable"
3. No need to open LibreOffice Base file, namely "7301.odb"

Actual results: LibreOffice crashes.


Expected results:It must not crash.


Additional info:It din't crash in LibreOffice installed with RPM package.

Comment 1 nukool@gmail.com 2020-11-22 23:55:58 UTC
Created attachment 1732227 [details]
LibreOffice Base file

Comment 2 Caolan McNamara 2020-11-23 10:03:36 UTC
Its not the case that the Fedora version is incorrect and upstream correct. Its broken in both cases, just that the Fedora one is compiled with flags that detect the out of bounds std::vector access and fails early

Comment 3 Fedora Update System 2020-12-04 23:25:08 UTC
FEDORA-2020-48b9f8361e has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 Fedora Update System 2020-12-05 05:31:18 UTC
FEDORA-2020-90c8fb85ff has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Fedora Update System 2020-12-21 07:13:26 UTC
FEDORA-2020-84194f4268 has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.